aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/tidyhtml/APKBUILD36
1 files changed, 18 insertions, 18 deletions
diff --git a/testing/tidyhtml/APKBUILD b/testing/tidyhtml/APKBUILD
index bcec6a5442..4098166858 100644
--- a/testing/tidyhtml/APKBUILD
+++ b/testing/tidyhtml/APKBUILD
@@ -1,33 +1,33 @@
-# Maintainer:
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
# Contributor: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
pkgname=tidyhtml
-pkgver=1.46
+_pkgreal=tidy-html5
+pkgver=5.1.25
pkgrel=0
-pkgdesc='Tool to tidy down your HTML code to a clean style'
+pkgdesc="Tool to tidy down your HTML code to a clean style"
arch=all
-url='http://tidy.sourceforge.net/'
-license='custom'
+url="http://www.html-tidy.org"
+license="custom"
depends=
-makedepends='libtool autoconf automake'
-subpackages="$pkgname-dev"
-source="ftp://ftp.archlinux.org/other/$pkgname/${pkgname}-${pkgver}.tar.bz2"
+makedepends="cmake"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-libs"
+source="$_pkgreal-$pkgver.tar.gz::https://codeload.github.com/htacg/$_pkgreal/tar.gz/$pkgver"
+
+_builddir="$srcdir"/$_pkgreal-$pkgver
build(){
- cd "$srcdir"/$pkgname-$pkgver/tidy
- source build/gnuauto/setup.sh || return 1
- ./configure --prefix=/usr || return 1
+ cd "$_builddir"
+ cmake CMakeLists.txt -DCMAKE_INSTALL_PREFIX=/usr || return 1
make || return 1
}
package() {
- cd "$srcdir"/$pkgname-$pkgver/tidy
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
-
- install -Dm644 htmldoc/license.html \
- "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
}
-md5sums="3d970d54be83c5ec985687e9976a2832 tidyhtml-1.46.tar.bz2"
-sha256sums="0555085b98238b7c36c5536a5c71b949fef3b58250b12cc51e5713a662aba7fe tidyhtml-1.46.tar.bz2"
-sha512sums="8d27180af680a1f7a63348b4fcd97fb9d3cf441a4ffb2e6eafc28abcc8e0cdb46f2b9bd234e47bce96a617eaac2227a33618f9e58be6e54badf1285cfda5e593 tidyhtml-1.46.tar.bz2"
+md5sums="5fd96deef635ab8cea3dc74079f54d95 tidy-html5-5.1.25.tar.gz"
+sha256sums="be81e967537984fbd207b4b19d02e7be73cbf201f07bf55aa5560c9b1d19b106 tidy-html5-5.1.25.tar.gz"
+sha512sums="d58757858cdc41b064e6002d30ff5a7059dca9c4a25f4f8a7cb8ffbfc175b1bddc92c0f7139660872a86024e9d96797637872bc44dda1652d13dec883be296f8 tidy-html5-5.1.25.tar.gz"